Skip to main content
GET
/
me
Me
curl --request GET \
  --url https://api.copin.io/me \
  --header 'Authorization: <authorization>'
{
  "id": "<string>",
  "username": "<string>",
  "role": "<string>",
  "isBlocked": true,
  "isActivated": true,
  "blockNote": "<string>",
  "referralCode": "<string>",
  "isSkippedReferral": true,
  "copyTradeQuota": 123,
  "plan": 123,
  "createdAt": "<string>",
  "access_token": "<string>",
  "isAddedReferral": true
}

Authentication

This endpoint requires authentication using a JWT token in the Authorization header.
Authorization
string
required
JWT token in the format: Authorization {token}

Request Example

curl --request GET \
--url "https://api.copin.io/me" \
--header 'Content-Type: application/json' \
--header 'Authorization: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VybmFtZSI6IjB4MTUzNTQ4NGMxRWVjMUQyMDNmRTFBNTNFQTExYTYyMWE4ODRBRTA2NyIsInRpbWUiOjE3NDQ2MjYxNjIzODksImFjY2VzcyI6IlVmTkNiTWhMVVMxNzQ0NjI2MTYyMzkwIiwiaWF0IjoxNzQ0NjI2MTYyLCJleHAiOjE3NDUyMzA5NjJ9.LpvhBdxyfehzom-v5tKumAqCptSMkVk7HVKKVtjSpk8' \

Response

id
string
Unique identifier for the user
username
string
User’s wallet address used as username
role
string
User’s role in the system (e.g., “guest”, “user”, “admin”)
isBlocked
boolean
Indicates if the user account is blocked
isActivated
boolean
Indicates if the user account is activated
blockNote
string
Note about block reason if the account is blocked
referralCode
string
User’s referral code that can be shared with others
isSkippedReferral
boolean
Indicates if the user skipped entering a referral code
copyTradeQuota
number
Number of copy trades the user can create
plan
number
User’s subscription plan level
createdAt
string
Timestamp when the user account was created
access_token
string
JWT token to be used for authenticated API calls
isAddedReferral
boolean
Indicates if the user has added a referral code

Response Example

{
    "id": "654849d04857e1f744646cdd",
    "username": "0x1535484c1eec1d203fe1a53ea11a621a884ae067",
    "role": "guest",
    "isBlocked": false,
    "isActivated": true,
    "blockNote": "",
    "referralCode": "IEZ8LC",
    "isSkippedReferral": true,
    "copyTradeQuota": 3,
    "plan": 0,
    "referralTier": "TIER_1",
    "totalFeeLast30Days": 0,
    "createdAt": "2023-11-06T02:05:04.079Z"
}